Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040406
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Openbravo ERP] A. Platformminorhave not tried2019-03-18 14:092019-03-28 08:04
ReporteralostaleView Statuspublic 
Assigned Toalostale 
PriorityimmediateResolutionfixedFixed in Version
StatusresolvedFix in branchFixed in SCM revision6f7049882ed1
ProjectionnoneETAnoneTarget Version3.0PR19Q1.1
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tojarmendariz
Web browser
ModulesCore
Regression levelProduction - QA Approved
Regression date2018-11-19
Regression introduced in release3.0PR19Q1
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/e262ec746d3ced3f8605622a206aab6a55d60131 [^]
Triggers an Emergency PackNo
Summary

0040406: log from callouts don't include callout class name

DescriptionWhen logging using protected log4j in callouts, org.openbravo.erpCommon.ad_callouts.DelegateConnectionProvider logger is used, it should instead use the specific logger for the concrete callout.
Steps To Reproduce1. Log in as QA Test Admin
2. Create a new record in Payment Out window
3. Select Employee A in Paying to field
  -> Check log:
      INFO org.openbravo.erpCommon.ad_callouts.DelegateConnectionProvider - No default info for the selected business partner
      It should be SE_Payment_BPartner instead
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0040405 closedalostale log from callouts don't include callout class name 

-  Notes
(0110711)
hgbot (developer)
2019-03-28 08:04

Repository: erp/backports/3.0PR19Q1.1
Changeset: 6f7049882ed10d4aeea66a68597949375b6f481a
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Mon Mar 18 14:13:03 2019 +0100
URL: http://code.openbravo.com/erp/backports/3.0PR19Q1.1/rev/6f7049882ed10d4aeea66a68597949375b6f481a [^]

fixed bug 40406: logs from callouts don't include callout class name

---
M src-core/src/org/openbravo/base/HttpBaseServlet.java
M src/org/openbravo/erpCommon/ad_callouts/DelegateConnectionProvider.java
---

- Issue History
Date Modified Username Field Change
2019-03-18 14:12 alostale Type defect => backport
2019-03-18 14:12 alostale Target Version => 3.0PR19Q1
2019-03-18 14:32 alostale Summary log from calllouts don't include callout class name => log from callouts don't include callout class name
2019-03-18 14:32 alostale Steps to Reproduce Updated View Revisions
2019-03-18 14:37 alostale Regression introduced in release main => 3.0PR19Q1
2019-03-18 15:29 alostale Target Version 3.0PR19Q1 => 3.0PR19Q1.1
2019-03-28 08:04 hgbot Checkin
2019-03-28 08:04 hgbot Note Added: 0110711
2019-03-28 08:04 hgbot Status scheduled => resolved
2019-03-28 08:04 hgbot Resolution open => fixed
2019-03-28 08:04 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/backports/3.0PR19Q1.1/rev/6f7049882ed10d4aeea66a68597949375b6f481a [^]


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker